## org.apache.poi.xssf.usermodel.charts
Class XSSFChartAxis

    java.lang.Object
      org.apache.poi.xssf.usermodel.charts.XSSFChartAxis

All Implemented Interfaces:
  ChartAxis

Direct Known Subclasses:
  XSSFValueAxis

    @Beta
    public abstract class XSSFChartAxis

extends java.lang.Object
implements ChartAxis

Base class for all axis types.

Author:
  Roman Kashitsyn

Field Summary
`protected XSSFChart` `chart`

Constructor Summary
`protected` `XSSFChartAxis(XSSFChart chart)`

Method Summary
`AxisCrosses` `getCrosses()`
`protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos` `getCTAxPos()`
`protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses` `getCTCrosses()`
`protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt` `getCTNumFmt()`
`protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling` `getCTScaling()`
`double` `getLogBase()`
`double` `getMaximum()`
`double` `getMinimum()`
`java.lang.String` `getNumberFormat()`
`AxisOrientation` `getOrientation()`
`AxisPosition` `getPosition()`
`boolean` `isSetLogBase()`
`boolean` `isSetMaximum()`
`boolean` `isSetMinimum()`
`void` `setCrosses(AxisCrosses crosses)`
`void` `setLogBase(double logBase)`
`void` `setMaximum(double max)`
`void` `setMinimum(double min)`
`void` `setNumberFormat(java.lang.String format)`
`void` `setOrientation(AxisOrientation orientation)`
`void` `setPosition(AxisPosition position)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.ss.usermodel.charts.ChartAxis
`crossAxis, getId`

Field Detail

### chart

    protected XSSFChart chart

Constructor Detail

### XSSFChartAxis

    protected XSSFChartAxis(XSSFChart chart)

Method Detail

### getPosition

    public AxisPosition getPosition()

  Specified by:
    `getPosition` in interface `ChartAxis`
  Returns:
    axis position

### setPosition

    public void setPosition(AxisPosition position)

  Specified by:
    `setPosition` in interface `ChartAxis`
  Parameters:
    `position` - new axis position

### setNumberFormat

    public void setNumberFormat(java.lang.String format)

  Specified by:
    `setNumberFormat` in interface `ChartAxis`
  Parameters:
    `format` - axis number format

### getNumberFormat

    public java.lang.String getNumberFormat()

  Specified by:
    `getNumberFormat` in interface `ChartAxis`
  Returns:
    axis number format

### isSetLogBase

    public boolean isSetLogBase()

  Specified by:
    `isSetLogBase` in interface `ChartAxis`
  Returns:
    true if log base is defined, false otherwise

### setLogBase

    public void setLogBase(double logBase)

  Specified by:
    `setLogBase` in interface `ChartAxis`
  Parameters:
    `logBase` - a number between 2 and 1000 (inclusive)

### getLogBase

    public double getLogBase()

  Specified by:
    `getLogBase` in interface `ChartAxis`
  Returns:
    axis log base or 0.0 if not set

### isSetMinimum

    public boolean isSetMinimum()

  Specified by:
    `isSetMinimum` in interface `ChartAxis`
  Returns:
    true if minimum value is defined, false otherwise

### setMinimum

    public void setMinimum(double min)

  Specified by:
    `setMinimum` in interface `ChartAxis`
  Parameters:
    `min` - axis minimum

### getMinimum

    public double getMinimum()

  Specified by:
    `getMinimum` in interface `ChartAxis`
  Returns:
    axis minimum or 0.0 if not set

### isSetMaximum

    public boolean isSetMaximum()

  Specified by:
    `isSetMaximum` in interface `ChartAxis`
  Returns:
    true if maximum value is defined, false otherwise

### setMaximum

    public void setMaximum(double max)

  Specified by:
    `setMaximum` in interface `ChartAxis`
  Parameters:
    `max` - axis maximum

### getMaximum

    public double getMaximum()

  Specified by:
    `getMaximum` in interface `ChartAxis`
  Returns:
    axis maximum or 0.0 if not set

### getOrientation

    public AxisOrientation getOrientation()

  Specified by:
    `getOrientation` in interface `ChartAxis`
  Returns:
    axis orientation

### setOrientation

    public void setOrientation(AxisOrientation orientation)

  Specified by:
    `setOrientation` in interface `ChartAxis`
  Parameters:
    `orientation` - axis orientation

### getCrosses

    public AxisCrosses getCrosses()

  Specified by:
    `getCrosses` in interface `ChartAxis`
  Returns:
    axis cross type

### setCrosses

    public void setCrosses(AxisCrosses crosses)

  Specified by:
    `setCrosses` in interface `ChartAxis`
  Parameters:
    `crosses` - axis cross type

### getCTAxPos

    protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos getCTAxPos()

### getCTNumFmt

    protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt getCTNumFmt()

### getCTScaling

    protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling getCTScaling()

### getCTCrosses

    protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses getCTCrosses()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.